gtkmm 3.24.9

Public Attributes | List of all members
Gtk::FileFilter::Info Class Reference

Information available per file when implementing a custom filter rule via add_custom(). More...

`#include <gtkmm/filefilter.h>`

## Public Attributes
FileFilterFlags | contains
| Flags indicating which of the following fields are filled. See add_custom().
Glib::ustring | filename
| The filename of the file being tested.
Glib::ustring | uri
| The URI for the file being tested.
Glib::ustring | display_name
| The string that will be used to display the file in the Gtk::FileChooser.
Glib::ustring | mime_type
| The MIME type of the file.

## Detailed Description

Information available per file when implementing a custom filter rule via add_custom().

## Member Data Documentation

## ◆ contains

FileFilterFlags Gtk::FileFilter::Info::contains

Flags indicating which of the following fields are filled. See add_custom().

## ◆ display_name

Glib::ustring Gtk::FileFilter::Info::display_name

The string that will be used to display the file in the Gtk::FileChooser.

## ◆ filename

Glib::ustring Gtk::FileFilter::Info::filename

The filename of the file being tested.

## ◆ mime_type

Glib::ustring Gtk::FileFilter::Info::mime_type

The MIME type of the file.

## ◆ uri

Glib::ustring Gtk::FileFilter::Info::uri

The URI for the file being tested.